Name:           atitvout
Version:        0.4
Release:        0.fdr.3.1
Epoch:          0
Summary:        ATI Rage/Radeon TV Out configuration program

License:        GPL
Group:          Applications/System
URL:            http://www.stud.uni-hamburg.de/users/lennart/projects/atitvout/
Source0:        http://www.stud.uni-hamburg.de/users/lennart/projects/atitvout/atitvout-0.4.tar.gz
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
Patch0:         http://ftp.debian.org/debian/pool/main/a/atitvout/atitvout_0.4-2.diff.gz
Patch1:         %{name}-docs.patch
Patch2:         http://amd.colony.ee/files/patches/atitvout-compile-warning-fix.patch
Patch3:         %{name}-models.patch
Patch4:         %{name}-syslrmi.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

ExclusiveArch:  %{ix86}
BuildRequires:  lrmi-devel
Requires:       %{_bindir}/consolehelper

%description
This utility program may be used for executing several configuration
commands for the TV Out connector of ATI Rage Mobility P/M graphics
boards under GNU/Linux on x86. It is intended primarily to enable TV
Out support after bootup and for switching the used TV standard from
NTSC to PAL.
The utility makes use of x86-VESA-BIOS-calls and thus is not portable
to other architectures like PPC: No TV-Out on Macs with this tool.


%prep
%setup -q -n atitvout
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
rm -rf lrmi-0.*


%build
CC="%{__cc}" CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 atitvout $RPM_BUILD_ROOT%{_sbindir}/atitvout
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/atitvout
install -Dpm 644 debian/atitvout.1 $RPM_BUILD_ROOT%{_mandir}/man8/atitvout.8
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/atitvout
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/atitvout


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING HARDWARE README
%config(noreplace) %{_sysconfdir}/pam.d/atitvout
%config(noreplace) %{_sysconfdir}/security/console.apps/atitvout
%{_bindir}/atitvout
%{_sbindir}/atitvout
%{_mandir}/man8/atitvout.8*


%changelog
* Fri Jul 23 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.3
- Use shared LRMI.
- Patch to autodetect mode for more chips.
- Usage message and man page fixes.
- Use consolehelper to allow logged on non-root users to change the device.

* Sat Jun 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.2
- Spec cleanups.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.1
- Rebuild according to Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.4-1.fedora.1
- First Fedora release.
